Tags
All API Operations related with tags
READ Scope
Retrieves all tags
Authorizations
AuthorizationstringRequired
API Key Authentication
Responses
200
OK
application/json
successbooleanOptional
errorsstring[] · nullableOptional
get/v1/tags
GET /v1/tags HTTP/1.1
Host: api.nuvio.io
Authorization: YOUR_API_KEY
Accept: */*
200
OK
{
"success": true,
"errors": [
"text"
],
"data": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "text"
}
]
}Retrieves a single tag by its unique ID
Authorizations
AuthorizationstringRequired
API Key Authentication
Path parameters
idstring · uuidRequired
Responses
200
OK
application/json
successbooleanOptional
errorsstring[] · nullableOptional
get/v1/tags/{id}
GET /v1/tags/{id} HTTP/1.1
Host: api.nuvio.io
Authorization: YOUR_API_KEY
Accept: */*
200
OK
{
"success": true,
"errors": [
"text"
],
"data": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "text"
}
}WRITE Scope
Creates a new tag
Authorizations
AuthorizationstringRequired
API Key Authentication
Body
namestring · min: 1Required
Name of the tag
Responses
200
OK
application/json
successbooleanOptional
errorsstring[] · nullableOptional
post/v1/tags
POST /v1/tags HTTP/1.1
Host: api.nuvio.io
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 15
{
"name": "text"
}200
OK
{
"success": true,
"errors": [
"text"
],
"data": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "text"
}
}UPDATE Scope
Updates an existing tag
Authorizations
AuthorizationstringRequired
API Key Authentication
Path parameters
idstring · uuidRequired
Body
namestringOptional
Name of the tag
Responses
200
OK
application/json
successbooleanOptional
errorsstring[] · nullableOptional
put/v1/tags/{id}
PUT /v1/tags/{id} HTTP/1.1
Host: api.nuvio.io
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 15
{
"name": "text"
}200
OK
{
"success": true,
"errors": [
"text"
],
"data": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "text"
}
}Last updated
Was this helpful?